// GLOBAL.H - global Definitions for FiveNine
// Written by Stefan Pfeiffer, DL1ELY, 940816
// Last modification: 950325
// (C) 1994 by Stefan Pfeiffer, DL1ELY@DB0PKE


#ifndef GLOBAL_H


#define GLOBAL_H


#include "structs.h"


#define STATIONS_NAME   "STATIONS.DBF"
#define STNINFO_NAME    "STATIONS.NFO"
#define CALL_NDX_NAME   "CALL.DEX"
#define MULTI_NDX_NAME  "MULTI.DEX"
#define LOC_NDX_NAME    "LOCATOR.DEX"

#define PREFIXES_NAME   "PREFIXES.59"
#define CONFIG_NAME     "CONFIG.59"
#define MAP_NAME        "EU_MAP.59"
#define BORDER_NAME     "EU_BORD.59"
#define LAST_CONT_NAME  "LASTCONT.59"
#define STN_DATA_NAME   "STNDATA.59"
#define MAP_FST_NAME    "EU_MAP.FST"
#define BORDER_FST_NAME "EU_BORD.FST"


#define OUT_OF_MEMORY     1

#define TRUE    1
#define FALSE   0

#define MODE_SSB 0
#define MODE_CW  1
#define MODE_AUR 2

typedef char            BOOL;
typedef unsigned char   uchar;
typedef unsigned char*  pchar;
typedef unsigned char** ppchar;
/*
struct cw_char cw[38] =
{
   '0',"-----",  '1',".----",  '2',"..---",  '3',"...--",
   '4',"....-",  '5',".....",  '6',"-....",  '7',"--...",
   '8',"---..",  '9',"----.",  'A',".-"   ,  'B',"-..." ,
   'C',"-.-." ,  'D',"-.."  ,  'E',"."    ,  'F',"..-." ,
   'G',"--."  ,  'H',"...." ,  'I',".."   ,  'J',".---" ,
   'K',"-.-"  ,  'L',".-.." ,  'M',"--"   ,  'N',"-."   ,
   'O',"---"  ,  'P',".--." ,  'Q',"--.-" ,  'R',".-."  ,
   'S',"..."  ,  'T',"-"    ,  'U',"..-"  ,  'V',"...-" ,
   'W',"..-"  ,  'X',"-..-" ,  'Y',"-.--" ,  'Z',"--.." ,
   '/',"-..-.",  '=',"-...-"
}; */

extern uchar textcol;
extern uchar invcol;
extern uchar titlecol;
extern uchar menucol;
extern uchar menuinvcol;
extern uchar activebuttoncol;
extern uchar passivebuttoncol;

#endif

