// PCX.H - Headerfile for PCX.C
// Written by Stefan Pfeiffer, DL1ELY, 941210
// Last modification: 941225
// (C) 1994 by Stefan Pfeiffer, DL1ELY

#ifndef PCX_H

#define PCX_H

#include <stdio.h>

#define PCX_SIZE 128
#define BUFSIZE 4096

typedef struct pcx_header
{
  unsigned char id, ver, komp, bits;
  unsigned x1,y1,x2,y2,resx,resy;
  unsigned char pal1[48];
  unsigned char res1, ebenen;
  unsigned byte_per_line, pal2;
  unsigned char res2[58];
};

unsigned pcx_load_header(char *, FILE **, struct pcx_header *);
void pcx_display(FILE *,struct pcx_header);

#endif

