# MAKEFILE for FIVENINE.EXE

ARGS=-ml -f

FILES=fivenine.obj storaxx.obj pio.obj multibnd.obj wave.obj tools.obj pcx.obj stat.obj mmanager.obj config.obj map.obj database.obj input.obj locator.obj dvideo.obj wildmat.obj egavga.obj

fivenine.exe: $(FILES)
   BCC $(ARGS) @FIVENINE.RSP

.c.obj:
   BCC $(ARGS) -c $<

fivenine.obj: fivenine.c map.h fivenine.h global.h database.h locator.h dvideo.h wildmat.h

storaxx.obj: storaxx.c storaxx.h

pio.obj: pio.c pio.h

multibnd.obj: multibnd.c multibnd.h

wave.obj: wave.c wave.h

tools.obj: tools.c tools.h

pcx.obj: pcx.c pcx.h

stat.obj: stat.c stat.h fivenine.h locator.h egavga.h database.h map.h input.h dvideo.h

map.obj: map.c map.h input.h fivenine.h egavga.h dvideo.h locator.h

database.obj: database.c database.h global.h

input.obj: input.c input.h egavga.h dvideo.h

locator.obj: locator.c locator.h

dvideo.obj: dvideo.c dvideo.h

wildmat.obj: wildmat.c wildmat.h

egavga.obj: egavga.c egavga.h

config.obj: config.c config.h

